﻿<table style="border-collapse:collapse" border="1">
<tr>
<td style="width:226.15">Function Name</td><td style="width:87.5">Grid
Dimensions</td><td style="width:87.5">Block
Dimensions</td><td style="width:80.38">Start Time
(μs)</td><td style="width:73.4233333333333">Duration
(μs)</td><td style="width:84.3733333333333">Occupancy</td><td style="width:83.6966666666667">Registers
per Thread</td><td style="width:94.0166666666667">Static Shared
Memory per
Block (bytes)</td><td style="width:109.81">Dynamic Shared
Memory per
Block (bytes)</td><td style="width:97.7766666666667">Cache
Configuration
Executed</td><td style="width:82.09">Global
Caching
Requested</td><td style="width:74.63">Global
Caching
Executed</td><td style="width:99.6733333333333">Local Memory
per Thread
(bytes)</td><td style="width:119.85">Device
Name</td><td style="width:68.74">Context
ID</td><td style="width:64.8633333333333">Stream
ID</td><td style="width:67.5966666666667">Process
Name</td><td style="width:109.916666666667">Occupancy [0]:
Allocated Warps
Per Block</td><td style="width:123.303333333333">Occupancy [0]:
Allocated Registers
Per Block</td><td style="width:156.946666666667">Occupancy [0]:
Allocated Shared Memory
Per Block</td><td style="width:107.216666666667">Occupancy [0]:
Max Block Limit
Warps</td><td style="width:107.216666666667">Occupancy [0]:
Max Block Limit
Registers</td><td style="width:108.43">Occupancy [0]:
Max Block Limit
Shared Memory</td><td style="width:121.64">Occupancy [0]:
Block Limit Reason</td><td style="width:126.926666666667">Instruction Stats [5]:
GPU Issued IPC</td><td style="width:126.926666666667">Instruction Stats [5]:
GPU Executed IPC</td><td style="width:126.926666666667">Instruction Stats [5]:
GPU SM Activity</td><td style="width:135.936666666667">Instruction Stats [5]:
GPU SM Average IPW</td><td style="width:126.926666666667">Instruction Stats [5]:
GPU Serialization</td><td style="width:149.673333333333">Achieved Occupancy [3]:
Achieved Occupancy</td><td style="width:112.513333333333">Branch Stats [4]:
Branch Efficiency</td><td style="width:190.59">Branch Stats [4]:
Control Flow Execution Efficiency</td><td style="width:126.77">Achieved FLOPS [1]:
Double GFLOPS</td><td style="width:126.77">Achieved FLOPS [1]:
Half GFLOPS</td><td style="width:126.77">Achieved FLOPS [1]:
Single GFLOPS</td><td style="width:125.35">Achieved IOPS [2]:
Math GOps/second</td><td style="width:127.746666666667">Achieved IOPS [2]:
Other GOps/second</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{105, 1, 1}</td><td>{64, 1, 1}</td><td>2232535.077</td><td>95.68</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.489747521195258</td><td>0.489566230271768</td><td>0.965301734063092</td><td>3176.2380952381</td><td>0.000370172212505826</td><td>0.347749774499752</td><td>1</td><td>0.603040902685117</td><td>8.06664924749164</td><td>0</td><td>2.03465719063545</td><td>26.6999372909699</td><td>2.66889632107023</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{465, 1, 1}</td><td>{64, 1, 1}</td><td>4242596.581</td><td>347.872</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.617811364859464</td><td>0.61771075978583</td><td>0.977393735818955</td><td>3175.61182795699</td><td>0.000162841086058636</td><td>0.535359905045094</td><td>0.999978349790785</td><td>0.603148779390239</td><td>9.82505346794223</td><td>0</td><td>2.47834260877564</td><td>32.5218758623862</td><td>3.25085088768283</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{1953, 1, 1}</td><td>{64, 1, 1}</td><td>6631639.749</td><td>1342.592</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.663498772539086</td><td>0.663465610207494</td><td>0.889100750393953</td><td>3175.65130568356</td><td>4.99809991588682E-05</td><td>0.586556642150686</td><td>0.999994741715756</td><td>0.603150490072068</td><td>10.6926527195157</td><td>0</td><td>2.69706210077224</td><td>35.3916081728477</td><td>3.53770616836686</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{8001, 1, 1}</td><td>{64, 1, 1}</td><td>10192300.901</td><td>5487.392</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.685565029972741</td><td>0.68554844420208</td><td>0.954146165789923</td><td>3174.53493313336</td><td>2.41928481413347E-05</td><td>0.595379592041476</td><td>0.999997446410706</td><td>0.603360504324227</td><td>10.7177828739044</td><td>0</td><td>2.70341320612779</td><td>35.4748357689773</td><td>3.54602550719905</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{32385, 1, 1}</td><td>{64, 1, 1}</td><td>18641719.173</td><td>19627.008</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.689440435393852</td><td>0.689430708776618</td><td>0.986951828499971</td><td>3172.51085379034</td><td>1.41079877747838E-05</td><td>0.600017357129814</td><td>0.999996723424748</td><td>0.603742632779305</td><td>12.1287102001849</td><td>0</td><td>3.05933268378617</td><td>40.1450435107095</td><td>4.01285432873183</td></tr>
<tr>
<td>load_kernel_grayscale_basic</td><td>{130305, 1, 1}</td><td>{64, 1, 1}</td><td>46210990.341</td><td>70689.728</td><td>0.625</td><td>46</td><td>0</td><td>0</td><td>PREFER_SHARED</td><td>ON</td><td>ON</td><td>0</td><td>GeForce GTX 1060 3GB</td><td>1</td><td>1</td><td>gpu-prj.exe</td><td>2</td><td>3072</td><td>0</td><td>32</td><td>20</td><td>2147483647</td><td>Registers</td><td>0.687964901640627</td><td>0.687956449196969</td><td>0.99347885653356</td><td>3167.77269483136</td><td>1.22861553507488E-05</td><td>0.601110800211551</td><td>0.999996742528789</td><td>0.604645694598944</td><td>13.5497255067911</td><td>0</td><td>3.41776985501726</td><td>44.848392893072</td><td>4.48299595215582</td></tr>
</table>
